Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2
Class GlacierStatistics

    java.lang.Object
      rice.p2p.glacier.v2.GlacierStatistics

public class GlacierStatistics
extends java.lang.Object

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh

Field Summary
`int` | `activeFetches` DESCRIBE THE FIELD
`long` | `bucketConsumed` DESCRIBE THE FIELD
`long` | `bucketMax` DESCRIBE THE FIELD
`long` | `bucketMaxBurstSize` DESCRIBE THE FIELD
`long` | `bucketMin` DESCRIBE THE FIELD
`long` | `bucketTokensPerSecond` DESCRIBE THE FIELD
`Environment` | `environment` DESCRIBE THE FIELD
`long` | `fragmentStorageSize` DESCRIBE THE FIELD
`int[]` | `messagesSentByTag` DESCRIBE THE FIELD
`int` | `numContinuations` DESCRIBE THE FIELD
`int` | `numFragments` DESCRIBE THE FIELD
`int` | `numNeighbors` DESCRIBE THE FIELD
`int` | `numObjectsInTrash` DESCRIBE THE FIELD
`int` | `pendingRequests` DESCRIBE THE FIELD
`IdRange` | `responsibleRange` DESCRIBE THE FIELD
`long` | `tbegin` DESCRIBE THE FIELD
`long` | `trashStorageSize` DESCRIBE THE FIELD

Constructor Summary
`GlacierStatistics(int numTags, Environment env)` Constructor for GlacierStatistics.

Method Summary
`void` | `dump(Logger logger)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### messagesSentByTag

    public int[] messagesSentByTag

  DESCRIBE THE FIELD

### pendingRequests

    public int pendingRequests

  DESCRIBE THE FIELD

### numNeighbors

    public int numNeighbors

  DESCRIBE THE FIELD

### numFragments

    public int numFragments

  DESCRIBE THE FIELD

### numContinuations

    public int numContinuations

  DESCRIBE THE FIELD

### numObjectsInTrash

    public int numObjectsInTrash

  DESCRIBE THE FIELD

### activeFetches

    public int activeFetches

  DESCRIBE THE FIELD

### responsibleRange

    public IdRange responsibleRange

  DESCRIBE THE FIELD

### fragmentStorageSize

    public long fragmentStorageSize

  DESCRIBE THE FIELD

### trashStorageSize

    public long trashStorageSize

  DESCRIBE THE FIELD

### tbegin

    public long tbegin

  DESCRIBE THE FIELD

### bucketMin

    public long bucketMin

  DESCRIBE THE FIELD

### bucketMax

    public long bucketMax

  DESCRIBE THE FIELD

### bucketConsumed

    public long bucketConsumed

  DESCRIBE THE FIELD

### bucketTokensPerSecond

    public long bucketTokensPerSecond

  DESCRIBE THE FIELD

### bucketMaxBurstSize

    public long bucketMaxBurstSize

  DESCRIBE THE FIELD

### environment

    public Environment environment

  DESCRIBE THE FIELD

Constructor Detail

### GlacierStatistics

    public GlacierStatistics(int numTags,
                             Environment env)

  Constructor for GlacierStatistics.

Parameters:
  `numTags` - DESCRIBE THE PARAMETER
  `env` - DESCRIBE THE PARAMETER

Method Detail

### dump

    public void dump(Logger logger)

  DESCRIBE THE METHOD

  Parameters:
    `logger` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.